analyze(1)

NAME
analyze - analyzes result files generated by the neural network simulation package SNNS

SYNOPSIS
analyze [-w] [-r] [-u] [-a] [-S " t c ] [-v] [-s] [-c] [-m] [ -i filename] [ -o filename] [-e function ] [ -l lower-bound ] [-h upper-bound ]

OPTIONS
-w
    print number of patterns which were classified wrong. (default)
-r
    print number of patterns which were classified correctly.
-u
    print number of patterns which were not classified.
-a
    same as '-w -r -u'
-S " t c "
    specific: numbers of patterns of class t which are classified as class c are printed (-1 = noclass)
-v
    verbose output. Each printed number is preceded by one of the words "wrong", "right", "unknown", or "specific" depending on the result of the classification.
-s
    statistic information containing wrong, right and not classified patterns. The network error is printed also.
-c
    same as -s, but statistics for each output unit (class) is displayed.
-m
    show confusion matrix (only works with -e 402040 or -e WTA)
-i filename
    name of the 'result file' which is going to be analyzed. Without this option file is read from stdin.
-o filename
    name of the file which is going to be produced by analyze. Default is stdout.
-e function
    defines the name of the 'analyzing function' to be used. function can be one of the following: 402040
        The '402040' rule. That means on a range from 0 to 1 h will be 0.6 (upper 40%) and l will be 0.4 (lower 40%). The middle 20% is represented by h - l. The classification of the patterns will depend on the values of h, l, and other constrains.
    WTA
        Winner takes all. That means the classification depends on the unit with the highest output, on the values of h, l, and other constrains.
    band
        An analyzing function that checks a band of values around the teaching output. The classification of the patterns will depend on the values of h, l, and other constrains.
-l lower-bound
    first parameter of the analyzing function.
-h upper-bound
    second parameter of the analyzing function.

DESCRIPTION
The purpose of this tool is to analyze the result files that have been created by SNNS. The result file which you want to analyze has to contain the teaching output and the propagated output of the network. This tool will let you quantify the performance of your network much better than the mere SSE value obtained during training.

SEE ALSO
The SNNS user manual under the SNNS installation directory or the hypertext manual at http://www-ra.informatik.uni-tuebingen.de/SNNS/UserManual/UserManual.html snns(1) description of the whole package

AUTHOR
Guenter W. Mamier